package com.fs.fastGpt.mapper;

import com.fs.fastGpt.domain.FastgptTag;

import java.util.List;

/**
 * ai标签Mapper接口
 *
 * @author fs
 * @date 2024-12-20
 */
public interface FastgptTagMapper
{
    /**
     * 查询ai标签
     *
     * @param id ai标签主键
     * @return ai标签
     */
    public FastgptTag selectFastgptTagById(Long id);

    /**
     * 查询ai标签列表
     *
     * @param fastgptTag ai标签
     * @return ai标签集合
     */
    public List<FastgptTag> selectFastgptTagList(FastgptTag fastgptTag);

    /**
     * 新增ai标签
     *
     * @param fastgptTag ai标签
     * @return 结果
     */
    public int insertFastgptTag(FastgptTag fastgptTag);

    /**
     * 修改ai标签
     *
     * @param fastgptTag ai标签
     * @return 结果
     */
    public int updateFastgptTag(FastgptTag fastgptTag);

    /**
     * 删除ai标签
     *
     * @param id ai标签主键
     * @return 结果
     */
    public int deleteFastgptTagById(Long id);

    /**
     * 批量删除ai标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastgptTagByIds(Long[] ids);
}
